﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QwirkleClassLibrary
{
    public interface IRules
    {
        Board CreateBoard();
        
        TileBag CreateTileBag(int nbSet);
        
        bool IsMoveCorrect(Tile t, int x, int y, Board b);
        
        bool IsGameOver();
    }
}
